Subject: Re: File operations speed-up
From: [email-masked] (Rick Rankin)

18 Mar 1997 02:40:48 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: Sergey Okhapkin <[email-masked]>,
        "'Gnu-Win32'" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

What are you going to do about backup utilities that clear this bit when a
file has been backed up? I assume that there are still backup utilities out
there that use the archive bit for determining when a file needs to be
backed up.

At 02:15 PM 3/17/97 +0300, Sergey Okhapkin wrote:
>Hi!
>
>This patch increases the speed of stat/lstat calls dramatically. The trick 
>is simple. Cygwin's stat call implementation reads the beginning of stated 
>file to look for a "magic cookie" to define "executable" and "symlink" 
>attributes of a file. With this patch reading is performed only if file 
>have "archive" bit cleared. All ordinary files (not executables/symlinks) 
>have this bit set. After applying this patch You have to "chmod +x file" on 
>all executables/symlinks. I made a "chmod +x *" on directories with 
>binaries. Later I'll write a special utility "fssync" to examine all files 
>in a given directory tree and to set archive bit according to file magic 
>cookie. Compare the time of "du ." on cygwin's root without and with this 
>patch :-)
>
> 
>
>--
>Sergey Okhapkin
>Moscow, Russia
>Looking for a job.
>
>
>
>Attachment Converted: "e:\eudora\rick\attach\archive.diff"
>
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>
>
Rick Rankin
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".